---
title: Element.namespaceURI
slug: Web/API/Element/namespaceURI
tags:
  - API
  - DOM
  - NeedsBrowserCompatibility
  - NeedsMobileBrowserCompatibility
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>Element.namespaceURI</strong></code> read-only property returns the namespace URI of the element, or <code>null</code> if the element is not in a namespace.</p>

<div class="note">
<p>Before DOM4 this API was defined within the {{domxref("Node")}} interface.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>namespace</var> = <var>element</var>.namespaceURI</pre>

<h2 id="Example">Example</h2>

<p>In this snippet, an element is being examined for its {{domxref("localName")}} and its <code>namespaceURI</code>. If the <code>namespaceURI</code> returns the XUL namespace and the <code>localName</code> returns "browser", then the node is understood to be a XUL <code>&lt;browser/&gt;</code>.</p>

<pre class="brush:js">if (element.localName == "browser" &amp;&amp;
    element.namespaceURI == "http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul") {
  // this is a XUL browser
}</pre>

<h2 id="Notes">Notes</h2>

<p>This is not a computed value that is the result of a namespace lookup based on an examination of the namespace declarations in scope. The namespace URI of a node is frozen at the node creation time.</p>

<p>In Firefox 3.5 and earlier, the namespace URI for HTML elements in HTML documents is <code>null</code>. In later versions, in compliance with HTML5, it is <code><a class="external" href="http://www.w3.org/1999/xhtml" rel="freelink">http://www.w3.org/1999/xhtml</a></code> as in XHTML. {{gecko_minversion_inline("1.9.2")}}</p>

<p>You can create an element with the specified <code>namespaceURI</code> using the DOM Level 2 method <a href="/en-US/docs/Web/API/Document/createElementNS" title="Document.createElementNS">document.createElementNS</a>.</p>

<p>The DOM does not handle or enforce namespace validation per se. It is up to the DOM application to do any validation necessary. Also note that the namespace prefix, once it is associated with a particular element, cannot be changed.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-element-namespaceuri', 'Element: namespaceURI')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.namespaceURI")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Element.localName")}}</li>
 <li>{{domxref("Element.prefix")}}</li>
 <li>{{domxref("Attr.namespaceURI")}}</li>
 <li>{{domxref("Node.namespaceURI")}}</li>
</ul>
